$font-size-map: (
  "xxs": 6px,
  "xs": 8px,
  "s": 10px,
  "m": 12px,
  "l": 16px,
  "xl": 20px,
  "xxl": 35px
);

@mixin button-style {
  background: $buttonColor;
  border: 2px solid $buttonColor;
  border-radius: 3px;
  font-size: map-get($font-size-map, "s");
  font-weight: bold;
  color: #fff;
  width: 65px;
  height: 22px;
  &:hover {
  cursor: pointer;
}
}
@mixin link-style {
  font-family: $second-font;
  font-weight: bold;
  color: $main-font-color;
;
  &:hover {
  cursor: pointer;
}
}
body {
  margin: 0;
  font-family: $main-font;
  color: $main-font-color;
  background: $contentBackground;
}

button {
  @include button-style;
}
a {
  @include link-style;
}
.landing-logo {
  display: flex;
  align-items: center;
  font-weight: bold;
  img {
    width: 20px;
    height: auto;
  }
  p {
    margin: 0;
    padding: 5px;
    font-size: map-get($font-size-map, "s");
    span {
      font-size: map-get($font-size-map, "xxs");
      display: block;
    }
  }
}

header {
  border-radius: 0 0 35% 0;
  background-image: $header-background;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  height: 360px;
  .header-wrap {
    color: $header-font-color;
    padding-left: 80px;
    padding-top: 10px;
    width: 920px;
    .header_heading {
      font-family: $second-font;
      font-size: map-get($font-size-map, "xxl");
      font-weight: bold;
      width: 300px;
      line-height: 1;
      span {
        position: relative;
        z-index: 2;
      }
        span::after {
          content: '';
          position: absolute;
          color: #000;
          top: 15px;
          left: 0;
          width: 100%;
          height: 50%;
          background-color: $text-highlight;
          z-index: -1;
        }
    }
    .header_text {
      font-size: map-get($font-size-map, "m");
      line-height: 1.5;
      max-width: 400px;
    }
    .login {
      @extend a;
      color: #fff;
      font-size: map-get($font-size-map, "s");
    }
    .auth {
      width: 230px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-top: 40px;
    }
  }
}

main {
  margin: 0 auto;
  max-width: 600px;
  .section_text {
    color: $header-font-color;
    font-family: $second-font;
    font-weight: bold;
    font-size: map-get($font-size-map, "xl");
    text-align: center;
    span {
      background-color: $text-highlight;
    }
  }
  .section_card {
    background-color: $cardBackground;
    margin: 16px;
    border-radius: 3px;
    display: flex;
    align-items: center;
    .section_card_img {
      margin: 8px;
      height: 100%;
      border-radius: 3px;
    }
    .section_card_right_container {
      width: 260px;
      margin: 20px auto;
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      .section_card_heading {
        font-family: $second-font;
        font-weight: bold;
        color: $card-heading-color;
        font-size: map-get($font-size-map, "l");
      }
      .section_card_text {
        font-size: map-get($font-size-map, "s");
        text-align: justify;
      }
      a {
        font-size: map-get($font-size-map, "xs");
      }
    }
  }
  .section_banner {
    width: 600px;
    height: 70px;
    background-image: $select-banner-gradient;
    border-radius: 3px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    position: relative;
    top: 35px;
    .section_banner_text_wrap {

      .section_banner_heading {
        color: $header-font-color;
        font-family: $second-font;
        font-weight: bold;
        font-size: map-get($font-size-map, "l");
        margin: 0;
        span {
          background-color: $text-highlight;
        }
      }
      .section_banner_text {
        font-size: map-get($font-size-map, "s");
        margin: 3px 0;
      }
    }
  }
}
footer {
  background-color: $footerBackground;
  height: 120px;
  display: flex;
  align-items: flex-end;
  .footer-wrap {
    height: 80px;
    margin: 0 auto;
    max-width: 680px;
    display: flex;
    align-items: center;
    .footer_logo {
      width: 250px;
    }
    .footer_text {
      font-size: map-get($font-size-map, "xs");
      width: 180px;
    }
    .footer-cr {
      font-size: map-get($font-size-map, "xs");
      width: 250px;
      display: flex;
      justify-content: flex-end;
    }
  }
}
